%define major 16
%define libname %mklibname %name %major

Summary:	Sound processing, multitrack recording, and mixing tools
Name:		ecasound
Version: 	2.5.0
Release: 	%mkrel 3
License: 	GPL
Group: 		Sound
URL: 		http://www.eca.cx/ecasound/
Source: 	http://ecasound.seul.org/download/%name-%version.tar.xz
BuildRoot: 	%_tmppath/%name-%version-%release-buildroot
BuildRequires:  autoconf2.5
BuildRequires:  automake1.7
BuildRequires:	jackit-devel
BuildRequires:	libalsa-devel
BuildRequires:	libaudiofile-devel
BuildRequires:	libsndfile-devel
BuildRequires:	ncurses-devel
BuildRequires:	python-devel
BuildRequires:	ruby-devel
BuildRequires:	readline-devel
BuildRequires:	sed
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
Requires:	desktop-file-utils
Obsoletes:      libecasound16 = 2.4.5

%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile     python -c "import compileall; compileall.compile_dir('.')"

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%files
%defattr(-,root,root)
%doc NEWS COPYING COPYING.GPL COPYING.LGPL README BUGS TODO examples
%doc Documentation/*.html Documentation/*.txt
%_bindir/eca*
%_datadir/%name
%_mandir/man1/*
%_mandir/man5/*


%description
Ecasound is a software package designed for multitrack
audio processing. It can be used for simple tasks like
audio playback, recording and format conversions, as
well as for multitrack effect processing, mixing,
recording and signal recycling. Ecasound supports a
wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined
in various ways, and their parameters can be
controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is
included in the package.


%package -n %libname-devel
Summary:	Ecasound - development files
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	libalsa-devel
Requires:	jackit-devel
Requires:	libsndfile-devel
Provides:	ecasound-devel = 2.4.5
Obsoletes:	ecasound-devel <= 2.4.5

%files -n %libname-devel
%defattr(-, root, root)
%if %mdkversion >= 1020
%multiarch %multiarch_bindir/libecasound-config
%multiarch %multiarch_bindir/libecasoundc-config
%endif
%_bindir/libecasound-config
%_bindir/libecasoundc-config
%_includedir/kvutils/*.h
%_includedir/libecasound/*.h
%_includedir/libecasoundc/*.h
%_libdir/*.la
%_libdir/*.a

%description -n %libname-devel
The ecasound-devel package contains the header files and static
libraries necessary for building apps like ecawave and
ecamegapedal that directly link against ecasound libraries.


%package -n python-ecasound
Summary:	Python bindings to ecasound control interface
Group:		Sound
Requires:	%{name} = %{version}
Requires:	python
Provides:	pyecasound = 2.4.5
Obsoletes:	pyecasound <= 2.4.5

%files -n python-ecasound
%defattr(-,root,root)
%py_platsitedir/*.so
%py_platsitedir/*.py
%py_platsitedir/*.pyc
%py_platsitedir/*.pyo

%description -n python-ecasound
Python bindings to Ecasound Control Interface (ECI).


%package -n ruby-ecasound
Summary:	Ruby bindings to ecasound control interface
Group:		Sound
Requires:	%{name} = %{version}

%files -n ruby-ecasound
%defattr(-,root,root)
/usr/lib/ruby/site_ruby/1.8/*.rb

%description -n ruby-ecasound
Ruby bindings to Ecasound Control Interface (ECI).


%prep
%setup -q

# lib64 fix
sed -i -e "s|/lib/|/%_lib/|g" configure*

%build
export WANT_AUTOCONF_2_5=1

# Zé: override configure options
%__libtoolize --force --copy
%__aclocal
%__autoconf
%__autoheader
%__automake --add-missing --foreign

export CFLAGS="%optflags -fPIC -DPIC"
export CXXFLAGS="%optflags -fPIC -DPIC"

%configure2_5x \
	--enable-shared \
	--with-largefile \
	--enable-sys-readline

%make

%install
rm -fr %buildroot

install -d %buildroot%py_platsitedir

%makeinstall_std

pushd pyecasound
%python_compile_opt
%python_compile
install *.pyc *.pyo %buildroot%py_platsitedir
popd


%if %mdkversion >= 1020
%multiarch_binaries %buildroot%_bindir/libecasound-config
%multiarch_binaries %buildroot%_bindir/libecasoundc-config
%endif


%clean
rm -rf %buildroot

%changelog
* Sat Sep 04 2010 Texstar <texstar at gmail.com> 2.5.0-3pclos2010
- rebuild

